require "cuba"

module Cuba::SecureHeaders
  class SafeResponse < ::Cuba::Response
    HEADERS = {
      "X-Content-Type-Options" => "nosniff",
      "X-Download-Options" => "noopen",
      "X-Frame-Options" => "SAMEORIGIN",
      "X-Permitted-Cross-Domain-Policies" => "none",
      "X-XSS-Protection" => "1; mode=block",
      "Strict-Transport-Security" => "max-age=631138519; includeSubdomains; preload"
    }

    def initialize(status = nil, headers = HEADERS.dup)
      super(status, headers)
    end
  end

  def self.setup(app)
    app.settings[:res] = SafeResponse
  end
end
